Redmine - Patch #4268

Fix Render Error while mailto href tag appears in issue description with textile turned off
2009-11-23 14:07 - Andy Xiang

Status: Closed Start date: 2009-11-23
Priority: Low Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Description

We're using svn r3023 of redmine and turned textile off sitewide. Recently it turns out people can still paste their html snippet into the
Description and the mailto tag has been rendered inappropriately although notice email has been sent successfully. And opening the
corrupted issue page will return a 500 error.

1. Sample description (which contains the tag)
<a href="mailto:FF@abc.com" target="_blank">FF@abc.com</a>
1. Sample Log rendering this issue description

Processing IssuesController#show (for 192.168.9.84 at 2009-11-23 04:04:17) [GET]
Parameters: {"action"=>"show", "id"=>"6647", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

ActionView::TemplateError (undefined method "mail_to' for
#<Redmine::WikiFormatting::NullFormatter::Formatter:0x2b46496bed00>) on line #59 of app/views/issues/show.rhtm!:
56:

57: <p><strong><%-=I(:field_description)%></strong></p>

58: <div class="wiki">

59: <%= textilizable @issue, :description, :attachments => @issue.attachments >

60: </div>

61:

62: <= link_to_attachments @issue %>

lib/redmine/wiki_formatting.rb:62:in “to_html'

lib/redmine/wiki_formatting.rb:47:in “to_html'

app/helpers/application_helper.rb:383:in “textilizable'

app/views/issues/show.rhtml:59:in °_run_rhtml_app47views4d7issuesd4d7showd6rhtml’

app/controllers/issues_controller.rb:124:in " show'

app/controllers/issues_controller.rb:123:in " show'

passenger (2.2.4) lib/phusion_passenger/rack/request_handler.rb:91:in 'process_request'

passenger (2.2.4) lib/phusion_passenger/abstract_request_handler.rb:206:in "main_loop'

passenger (2.2.4) lib/phusion_passenger/railz/application_spawner.rb:376:in "~start_request_han
dler'

passenger (2.2.4) lib/phusion_passenger/railz/application_spawner.rb:334:in “handle_spawn_appl
ication'

passenger (2.2.4) lib/phusion_passenger/utils.rb:182:in “safe_fork'

passenger (2.2.4) lib/phusion_passenger/railz/application_spawner.rb:332:in “handle_spawn_appl

ication'
passenger (2.2.4) lib/phusion_passenger/abstract_server.rb:351:in "_ send_ '
passenger (2.2.4) lib/phusion_passenger/abstract_server.rb:351:in ‘main_loop'
passenger (2.2.4) lib/phusion_passenger/abstract_server.rb:195:in “start_synchronously'
passenger (2.2.4) lib/phusion_passenger/abstract_server.rb:162:in "start'
passenger (2.2.4) lib/phusion_passenger/railz/application_spawner.rb:213:in “start'
passenger (2.2.4) lib/phusion_passenger/spawn_manager.rb:261:in "~ spawn_rails_application'
passenger (2.2.4) lib/phusion_passenger/abstract_server_collection.rb:126:in "lookup_or_add'
passenger (2.2.4) lib/phusion_passenger/spawn_manager.rb:255:in "~ spawn_rails_application'
passenger (2.2.4) lib/phusion_passenger/abstract_server_collection.rb:80:in "~synchronize'
passenger (2.2.4) lib/phusion_passenger/abstract_server_collection.rb:79:in "“synchronize'
passenger (2.2.4) lib/phusion_passenger/spawn_manager.rb:254:in "~ spawn_rails_application'
passenger (2.2.4) lib/phusion_passenger/spawn_manager.rb:153:in "~ spawn_application’
passenger (2.2.4) lib/phusion_passenger/spawn_manager.rb:286:in "handle_spawn_application'
passenger (2.2.4) lib/phusion_passenger/abstract_server.rb:351:in *__send_ '

passenger (2.2.4) lib/phusion_passenger/abstract_server.rb:351:in ‘main_loop'

passenger (2.2.4) lib/phusion_passenger/abstract_server.rb:195:in "start_synchronously'

Rendering /opt/www/webapp/dev_tbox_me/public/500.html (500 Internal Server Error)

| tried to check over the code and find if we add UrlHelper into Formatter class for module NullFormatter it could render ok. So here is
the patch and hope it helps.

Associated revisions

Revision 3088 - 2009-11-24 23:02 - Jean-Philippe Lang

Fixed: error raised when rendering text that contains an email address with textile disabled (#4268).

History

#1 - 2009-11-24 22:56 - Jean-Philippe Lang

- Status changed from New to Closed

Fixed in r3088. Thanks for pointing this out.

Files

mailto_render_helper.diff 443 Bytes 2009-11-23 Andy Xiang
